package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 offline_payment
 * 
 * @author ruoyi
 * @date 2025-02-13
 */
public class OfflinePayment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 银行卡号 */
    @Excel(name = "银行卡号")
    private Long bankcardNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String bankName;

    /** 商家收款码 */
    @Excel(name = "商家收款码")
    private String merchantPaycode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBankcardNum(Long bankcardNum) 
    {
        this.bankcardNum = bankcardNum;
    }

    public Long getBankcardNum() 
    {
        return bankcardNum;
    }
    public void setBankName(String bankName) 
    {
        this.bankName = bankName;
    }

    public String getBankName() 
    {
        return bankName;
    }
    public void setMerchantPaycode(String merchantPaycode) 
    {
        this.merchantPaycode = merchantPaycode;
    }

    public String getMerchantPaycode() 
    {
        return merchantPaycode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bankcardNum", getBankcardNum())
            .append("bankName", getBankName())
            .append("merchantPaycode", getMerchantPaycode())
            .toString();
    }
}
